﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 754A: (1 yr) CAL VER IEEE /5800
DATE:                  2009-11-30 11:49:26
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       346
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds724a_744a_754a_1yr_ver_ieee_5800_1ch.txt,v $
#    $Date: 2009/11/30 19:41:09 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 724A, TDS 744A, TDS 754A
#@
#@ Source:
#@       TDS 500B, 600B & TDS 700A Digitizing Oscilloscopes
#@       Service Manual, Part No. 070-9721-02
#@
#@       TDS 520B, 540B, 620B, TDS 644B, TDS 680B, TDS 684B, TDS 724A,
#@       TDS 744A, & TDS 784A Digitizing Oscilloscope
#@       Service Manual, Part No. 070-9386-03
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Cursor Reading IEEE
#        Sub TDS700A Specifications
#        Sub TDS700A (1 yr) DC Offset IEEE
#        Sub TDS700A (1 yr) DCV Meas Acc IEEE /5800
#        Sub TDS700A (1 yr) Delay Match IEEE /5800
#        Sub TDS700A (1 yr) Time Base IEEE /5800
#        Sub TDS700A (1 yr) Trig Time Acc IEEE /5800
#        Sub TDS700A (1 yr) Trig Level Acc IEEE /5800
#        Sub TDS700A (1 yr) Output Signal IEEE /5800
#        Sub TDS700A (1 yr) Probe Comp IEEE /5800
#        Sub TDS700A (1 yr) Bandwidth IEEE /5800
#        Sub TDS700A (1 yr) Sens IEEE /5800
#        Sub TDS700A (1 yr) Aux Trig In Sens IEEE /5800
#
# Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        58_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        58_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        58_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        58_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        58_4ck_5.jpg      Picture: DC Volts Con. - Ch 1 and Aux trig in
#        58_4ck_6.jpg      Picture: Main Trigger Out
#        58_4ck_7.jpg      Picture: Delay Trigger Out
#        58_4ck_8.jpg      Picture: Signal/Source Out Test
#        58_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#        58_4ck12.jpg      Picture: 58x0A CH 1 to UUT CH 1 & 2
#        58_4ck13.jpg      Picture: 58x0A CH 1 to UUT CH 1 & 3
#        58_4ck14.jpg      Picture: 58x0A CH 1 to UUT CH 1 & 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@       Cable, coaxial, BNC(m)-(m), 12"
#@       Dual Input Coupler (BNC)
#@       50 Ohm Feedthrough (BNC)
#@
# The procedure was tested using:
#
#        Model No  :  TDS 744A
#        Serial No :  B040337
#        Options   :
#        Firmware  :  CF:91.1CT FV:v4.0e
#
#        Model No  :  TDS 754A
#        Serial No :  B012158
#        Options   :
#        Firmware  :  CF:91.1CT FV:v4.1e
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5800         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.009  DISP         or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         UUT IDENTIFICATION
  1.019  TARGET
  1.020  CALL         Sub TDS500/600/700 Setup IEEE
  1.021  IEEE2        *RST;DESE 61
  1.022  WAIT         -t 4 System Initializing ...
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  IF           PSUBI("TDS 724A")
  1.025  MATH         Model = "TDS 724A"
  1.026  ELSEIF       PSUBI("TDS 744A")
  1.027  MATH         Model = "TDS 744A"
  1.028  ELSEIF       PSUBI("TDS 754A")
  1.029  MATH         Model = "TDS 754A"
  1.030  ENDIF

# Make sure correct UUT is connected.
  1.031  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.032  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.033  IF           NOT(L[1]) || NOT(L[2])
  1.034  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.034  DISP         not a Tektronix [V Model]!
  1.035  END
  1.036  ENDIF

  1.037  HEAD         EQUIPMENT REQUIREMENTS
  1.038  OPBR         -z Do you want to REVIEW the list of additional
  1.038  OPBR         equipment and/or accessories required?

  1.039  IF           MEM1
  1.040  DISP         The following additional equipment and/or accessories
  1.040  DISP         are required:
  1.040  DISP
  1.040  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.040  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.040  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.040  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.040  DISP         - Dual Input Coupler (BNC)
  1.040  DISP         - 50 Ohm Feedthrough (BNC)
  1.041  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DC OFFSET(CH1)                     DC OFFSET(CH1)
#    4.   DC OFFSET(CH2)                     DC OFFSET(CH2)
#    5.   DC OFFSET(CH3)                     DC OFFSET(CH3)
#    6.   DC OFFSET(CH4)                     DC OFFSET(CH4)
#    7.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    8.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    9.   DCV MEASUREMENT ACC(CH3)           SAMPLE RATE AND DELAY TIME ACC
#   10.   DCV MEASUREMENT ACC(CH4)           TIME ACC OF PULSE WIDTH TRIG(CH1)
#   11.   BANDWIDTH(CH1)                     TRIG LEVEL ACCURACY(CH1)
#   12.   BANDWIDTH(CH2)                     EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   BANDWIDTH(CH3)                     AUX TRIG IN SENSITIVITY (CH1)
#   14.   BANDWIDTH(CH4)                     DCV MEASUREMENT ACC(CH2)
#   15.   CHANNEL DELAY                      BANDWIDTH(CH2)
#   16.   SAMPLE RATE AND DELAY TIME ACC     EDGE-TRIGGER SENSITIVITY(CH2)
#   17.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DCV MEASUREMENT ACC(CH3)
#   18.   TRIG LEVEL ACCURACY(CH1)           BANDWIDTH(CH3)
#   19.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH3)
#   20.   AUX TRIG IN SENSITIVITY (CH1)      DCV MEASUREMENT ACC(CH4)
#   21.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH4)
#   22.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH4)
#   23.   EDGE-TRIGGER SENSITIVITY(CH4)      CHANNEL DELAY
#   24.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   25.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.042  CALL         Sub TDS700A Specifications
  1.043  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.044  JMPL         END                          @Abort
  1.045  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.046  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.047  MATH         @SourceChanNum = 1

# Specify channel to test.
  1.048  MATH         @Chan = 1
  1.049  CALL         Sub TDS700A (1 yr) DC Offset IEEE
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub TDS700A (1 yr) DC Offset IEEE
  1.052  MATH         @Chan = 3
  1.053  CALL         Sub TDS700A (1 yr) DC Offset IEEE
  1.054  MATH         @Chan = 4
  1.055  CALL         Sub TDS700A (1 yr) DC Offset IEEE

  1.056  MATH         @Chan = 1
  1.057  CALL         Sub TDS700A (1 yr) DCV Meas Acc IEEE /5800
  1.058  JMPL         BANDWIDTH_CH1

  1.059  LABEL        DCV_ACC_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub TDS700A (1 yr) DCV Meas Acc IEEE /5800
  1.062  JMPL         BANDWIDTH_CH2

  1.063  LABEL        DCV_ACC_CH3
  1.064  MATH         @Chan = 3
  1.065  CALL         Sub TDS700A (1 yr) DCV Meas Acc IEEE /5800
  1.066  JMPL         BANDWIDTH_CH3

  1.067  LABEL        DCV_ACC_CH4
  1.068  MATH         @Chan = 4
  1.069  CALL         Sub TDS700A (1 yr) DCV Meas Acc IEEE /5800
  1.070  JMPL         BANDWIDTH_CH4

  1.071  LABEL        BANDWIDTH_CH1
  1.072  MATH         @Chan = 1
  1.073  CALL         Sub TDS700A (1 yr) Bandwidth IEEE /5800
  1.074  JMPL         TIMEBASE_TRIGGER

  1.075  LABEL        BANDWIDTH_CH2
  1.076  MATH         @Chan = 2
  1.077  CALL         Sub TDS700A (1 yr) Bandwidth IEEE /5800
  1.078  JMPL         TRIG_SENS_CH2

  1.079  LABEL        BANDWIDTH_CH3
  1.080  MATH         @Chan = 3
  1.081  CALL         Sub TDS700A (1 yr) Bandwidth IEEE /5800
  1.082  JMPL         TRIG_SENS_CH3

  1.083  LABEL        BANDWIDTH_CH4
  1.084  MATH         @Chan = 4
  1.085  CALL         Sub TDS700A (1 yr) Bandwidth IEEE /5800
  1.086  JMPL         TRIG_SENS_CH4

  1.087  LABEL        DELAY_MATCH
  1.088  MATH         @Chan = 1
  1.089  CALL         Sub TDS700A (1 yr) Delay Match IEEE /5800
  1.090  JMPL         OUTPUT_SIGNAL

  1.091  LABEL        TIMEBASE_TRIGGER
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub TDS700A (1 yr) Time Base IEEE /5800
  1.094  CALL         Sub TDS700A (1 yr) Trig Time Acc IEEE /5800
  1.095  CALL         Sub TDS700A (1 yr) Trig Level Acc IEEE /5800
  1.096  CALL         Sub TDS700A (1 yr) Sens IEEE /5800
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.097  OPBR         -z Each channel trig sensitivity test will take about
  1.097  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.097  OPBR         channels to save time, unless desired.
  1.097  OPBR
  1.097  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.097  OPBR         3, and 4?
  1.098  MATH         @TestCh234Sens = MEM1

  1.099  CALL         Sub TDS700A (1 yr) Aux Trig In Sens IEEE /5800
  1.100  JMPL         DCV_ACC_CH2

  1.101  LABEL        TRIG_SENS_CH2

  1.102  IF           @TestCh234Sens
  1.103  MATH         @Chan = 2
  1.104  CALL         Sub TDS700A (1 yr) Sens IEEE /5800
  1.105  ENDIF

  1.106  JMPL         DCV_ACC_CH3

  1.107  LABEL        TRIG_SENS_CH3

  1.108  IF           @TestCh234Sens
  1.109  MATH         @Chan = 3
  1.110  CALL         Sub TDS700A (1 yr) Sens IEEE /5800
  1.111  ENDIF

  1.112  JMPL         DCV_ACC_CH4

  1.113  LABEL        TRIG_SENS_CH4

  1.114  IF           @TestCh234Sens
  1.115  MATH         @Chan = 4
  1.116  CALL         Sub TDS700A (1 yr) Sens IEEE /5800
  1.117  ENDIF

  1.118  JMPL         DELAY_MATCH

  1.119  LABEL        OUTPUT_SIGNAL
  1.120  CALL         Sub TDS700A (1 yr) Output Signal IEEE /5800
  1.121  CALL         Sub TDS700A (1 yr) Probe Comp IEEE /5800

  1.122  LABEL        END
  1.123  IEEE2        *RST;DESE 61

  1.124  IF           @Abort
  1.125  DISP         V E R I F I C A T I O N   A B O R T E D
  1.126  ELSE
  1.127  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.128  ENDIF

  1.129  END
